Bug 133039 - upgrade print/acroread8
Summary: upgrade print/acroread8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-25 03:30 UTC by TsurutaniNaoki
Modified: 2009-03-29 20:07 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2009-03-25 03:30:01 UTC
	upgrade print/acroread8 and other sub ports to 8.1.4.
	ref: http://www.adobe.com/support/security/bulletins/apsb09-04.html

Fix: here is a patch to print/acroread8:


in addition, many sub ports for each languages should be updated.
	here is a list about distinfo of each ports:

MD5 (acroread/AdobeReader_chs-8.1.4-1.i486.tar.bz2) = e977caa3e352979a779c9639b0422439
SHA256 (acroread/AdobeReader_chs-8.1.4-1.i486.tar.bz2) = cdbd1885b1918ad24ad5bb8a118bb978c843374a424b04273dae52a8f0ad09da
SIZE (acroread/AdobeReader_chs-8.1.4-1.i486.tar.bz2) = 58147908
MD5 (acroread/AdobeReader_cht-8.1.4-1.i486.tar.bz2) = 42c05be1c7377398cd4821925d356ba8
SHA256 (acroread/AdobeReader_cht-8.1.4-1.i486.tar.bz2) = 4ae7fb58eb71dba168bb4ddd96970a56dc182d6dbadb2324954584a2896f8b80
SIZE (acroread/AdobeReader_cht-8.1.4-1.i486.tar.bz2) = 54082943
MD5 (acroread/AdobeReader_dan-8.1.4-1.i486.tar.bz2) = 2540077cada9f001f31fd2b55c018514
SHA256 (acroread/AdobeReader_dan-8.1.4-1.i486.tar.bz2) = 7b2df45efc575f87e8e8379cce17ef45b2e45c028baf2a39098816830f71b8b6
SIZE (acroread/AdobeReader_dan-8.1.4-1.i486.tar.bz2) = 49553888
MD5 (acroread/AdobeReader_deu-8.1.4-1.i486.tar.bz2) = 24ae9bd6c4aa706860ba56a18b790ce5
SHA256 (acroread/AdobeReader_deu-8.1.4-1.i486.tar.bz2) = e0f96776feda1b340c57b4fb553d2d1f4378d20c15dba14337b42e7787af9724
SIZE (acroread/AdobeReader_deu-8.1.4-1.i486.tar.bz2) = 50288644
MD5 (acroread/AdobeReader_enu-8.1.4-1.i486.tar.bz2) = d94afa448227f85beaf4d10117417b0d
SHA256 (acroread/AdobeReader_enu-8.1.4-1.i486.tar.bz2) = 137d63aeecc74cfd1e84d352e6e7f7e4b6563950a9313d46b0bb5fc8c48ab076
SIZE (acroread/AdobeReader_enu-8.1.4-1.i486.tar.bz2) = 47035382
MD5 (acroread/AdobeReader_esp-8.1.4-1.i486.tar.bz2) = 6645f9d936157d0529c9db7c6e1bf7a0
SHA256 (acroread/AdobeReader_esp-8.1.4-1.i486.tar.bz2) = 82f4ff3bd93f7e672270b2bf48040fcb789a6459e209bd81fccbbf0636b4001b
SIZE (acroread/AdobeReader_esp-8.1.4-1.i486.tar.bz2) = 49587160
MD5 (acroread/AdobeReader_fra-8.1.4-1.i486.tar.bz2) = 93ca4c31347a0820055192ac831740db
SHA256 (acroread/AdobeReader_fra-8.1.4-1.i486.tar.bz2) = 253ae3c91ff8a86148dd30138657b2698c7affdf659ee26057b72a3ddce63ca4
SIZE (acroread/AdobeReader_fra-8.1.4-1.i486.tar.bz2) = 49841357
MD5 (acroread/AdobeReader_ita-8.1.4-1.i486.tar.bz2) = bbe9dced8f502e0f4abc880100ac5194
SHA256 (acroread/AdobeReader_ita-8.1.4-1.i486.tar.bz2) = bca2be85b18b7a7e9f136fa81098bae14f4a4719b2b2a2c447bf81d83d353f26
SIZE (acroread/AdobeReader_ita-8.1.4-1.i486.tar.bz2) = 49461085
MD5 (acroread/AdobeReader_jpn-8.1.4-1.i486.tar.bz2) = a43a3fedbe45c00d54bc57a7ece756be
SHA256 (acroread/AdobeReader_jpn-8.1.4-1.i486.tar.bz2) = 011f5bbd43101a32b1b99699c923bed62c4fe111aa4818733808f760ec8046c1
SIZE (acroread/AdobeReader_jpn-8.1.4-1.i486.tar.bz2) = 57733313
MD5 (acroread/AdobeReader_kor-8.1.4-1.i486.tar.bz2) = e643c4c670da6f4e9a6cb2a2f86081bd
SHA256 (acroread/AdobeReader_kor-8.1.4-1.i486.tar.bz2) = 9bb4a697b8d3ef604a47552c429156683177eb4df4b51b5542e6f5d67aaccdf3
SIZE (acroread/AdobeReader_kor-8.1.4-1.i486.tar.bz2) = 50995045
MD5 (acroread/AdobeReader_nld-8.1.4-1.i486.tar.bz2) = 96fda098cecc753087fdf1f7bf5fb706
SHA256 (acroread/AdobeReader_nld-8.1.4-1.i486.tar.bz2) = 9dbb49d01b63a64067389c705b3235efa8d29ae859ddaea620c515ded928de2d
SIZE (acroread/AdobeReader_nld-8.1.4-1.i486.tar.bz2) = 49777380
MD5 (acroread/AdobeReader_nor-8.1.4-1.i486.tar.bz2) = 2b9e91e130160af5f66e8f657ff60526
SHA256 (acroread/AdobeReader_nor-8.1.4-1.i486.tar.bz2) = b4079a904f70f5b5b447a2349f915db7cb6a52bcd384f93c5ddf0c49490826db
SIZE (acroread/AdobeReader_nor-8.1.4-1.i486.tar.bz2) = 49808524
MD5 (acroread/AdobeReader_ptb-8.1.4-1.i486.tar.bz2) = 894490cf0b818c8670ec27634907ae5e
SHA256 (acroread/AdobeReader_ptb-8.1.4-1.i486.tar.bz2) = e61d479fd42c0cfac3984c99c81ad81084ea787d778b3c2f6757511afb556207
SIZE (acroread/AdobeReader_ptb-8.1.4-1.i486.tar.bz2) = 49589443
MD5 (acroread/AdobeReader_suo-8.1.4-1.i486.tar.bz2) = a41f59f59315da4959c3fbf4f3306000
SHA256 (acroread/AdobeReader_suo-8.1.4-1.i486.tar.bz2) = 6099fc527e9097e770a77f91d048a3920921fbd1134e1155a0b860c4f4efda7d
SIZE (acroread/AdobeReader_suo-8.1.4-1.i486.tar.bz2) = 49712455
MD5 (acroread/AdobeReader_sve-8.1.4-1.i486.tar.bz2) = 8607dce076fc2ffa4ac4cd2d9363489e
SHA256 (acroread/AdobeReader_sve-8.1.4-1.i486.tar.bz2) = 46638699e6be6a6304c9431a90cf79b2da9823a21e6d4be37026898e2bbea8d7
SIZE (acroread/AdobeReader_sve-8.1.4-1.i486.tar.bz2) = 50543341--8nPlTNLovLRqXXP12OUt0DLBw0Jyi4kYfqlyvnVXhiAJ1a0X
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ur Makefile.orig Makefile
--- Makefile.orig	2009-03-20 05:44:53.000000000 +0900
+++ Makefile	2009-03-25 11:46:57.000000000 +0900
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	acroread8
-PORTVERSION=	8.1.3
-PORTREVISION=	1
+PORTVERSION=	8.1.4
 CATEGORIES?=	print linux
 MASTER_SITES?=	http://ardownload.adobe.com/pub/adobe/reader/unix/8.x/${PORTVERSION}/${ADOBE_LANG:L}/ \
 		ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/${PORTVERSION}/${ADOBE_LANG:L}/
diff -ur acroread8.orig/distinfo acroread8/distinfo
--- distinfo.orig	2008-11-08 21:20:31.000000000 +0900
+++ distinfo	2009-03-25 11:10:11.000000000 +0900
@@ -1,3 +1,3 @@
-MD5 (acroread/AdobeReader_enu-8.1.3-1.i486.tar.bz2) = c85096f401772f435866a66ec06352f1
-SHA256 (acroread/AdobeReader_enu-8.1.3-1.i486.tar.bz2) = 77ae5a11daa3d220d4609cd055d5f937b0228c227a177e5ed338c69892ff032a
-SIZE (acroread/AdobeReader_enu-8.1.3-1.i486.tar.bz2) = 47013781
+MD5 (acroread/AdobeReader_enu-8.1.4-1.i486.tar.bz2) = d94afa448227f85beaf4d10117417b0d
+SHA256 (acroread/AdobeReader_enu-8.1.4-1.i486.tar.bz2) = 137d63aeecc74cfd1e84d352e6e7f7e4b6563950a9313d46b0bb5fc8c48ab076
+SIZE (acroread/AdobeReader_enu-8.1.4-1.i486.tar.bz2) = 47035382
Comment 1 Edwin Groothuis freebsd_committer 2009-03-25 03:30:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2009-03-28 16:01:48 UTC
hrs         2009-03-28 16:01:34 UTC

  FreeBSD ports repository

  Modified files:
    print/acroread8      Makefile distinfo 
    chinese/acroread8-zh_TW distinfo 
    chinese/acroread8-zh_CN distinfo 
    german/acroread8     distinfo 
    japanese/acroread8   distinfo 
    korean/acroread8     distinfo 
    french/acroread8     distinfo 
    portuguese/acroread8 distinfo 
    print/it-acroread8   distinfo 
    print/nl-acroread8   distinfo 
    print/fi-acroread8   distinfo 
    print/dk-acroread8   distinfo 
    print/es-acroread8   distinfo 
    print/no-acroread8   distinfo 
    print/sv-acroread8   distinfo 
  Log:
  Update to 8.1.4.  This version includes serious security fixes.
  
  Security:       APSB09-04
  Security:       APSB09-03
  Security:       CVE-2009-0193
  Security:       CVE-2009-0658
  Security:       CVE-2009-0927
  Security:       CVE-2009-0928
  Security:       CVE-2009-1061
  Security:       CVE-2009-1062
  Security:       http://www.adobe.com/support/security/bulletins/apsb09-04.html
  PR:             ports/133039
  
  Revision  Changes    Path
  1.5       +3 -3      ports/chinese/acroread8-zh_CN/distinfo
  1.5       +3 -3      ports/chinese/acroread8-zh_TW/distinfo
  1.5       +3 -3      ports/french/acroread8/distinfo
  1.5       +3 -3      ports/german/acroread8/distinfo
  1.5       +3 -3      ports/japanese/acroread8/distinfo
  1.5       +3 -3      ports/korean/acroread8/distinfo
  1.5       +3 -3      ports/portuguese/acroread8/distinfo
  1.9       +1 -2      ports/print/acroread8/Makefile
  1.5       +3 -3      ports/print/acroread8/distinfo
  1.5       +3 -3      ports/print/dk-acroread8/distinfo
  1.5       +3 -3      ports/print/es-acroread8/distinfo
  1.5       +3 -3      ports/print/fi-acroread8/distinfo
  1.5       +3 -3      ports/print/it-acroread8/distinfo
  1.5       +3 -3      ports/print/nl-acroread8/distinfo
  1.5       +3 -3      ports/print/no-acroread8/distinfo
  1.5       +3 -3      ports/print/sv-acroread8/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Hiroki Sato freebsd_committer 2009-03-29 20:07:10 UTC
State Changed
From-To: open->closed

Committed, thanks!